package design.example.toyodrawable;

import android.os.Bundle;


import android.app.Activity;
import android.view.Menu;
import android.view.MotionEvent;
import android.widget.ImageView;
import android.graphics.drawable.AnimationDrawable;

public class MainActivity extends Activity {

	AnimationDrawable michaelAnimation;	//declarare obiect michaelAnimation de tipul AnimationDrawable

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		final ImageView michaelAnimHolder = (ImageView) findViewById(R.id.imageView1); //creare final obiect michaelAnimHolder de tipul ImageView
		michaelAnimHolder.setBackgroundResource(R.drawable.michael_animation);
		michaelAnimHolder.post(new Runnable() {
			public void run() {
				michaelAnimation = (AnimationDrawable) michaelAnimHolder.getBackground();
			}
		} );
	}
	/*
	@Override
	public void onWindowFocusedChanged(boolean hasFocus) {
		michaelAnimation.start();
	}
	*/
	public boolean onTouchEvent(MotionEvent event) {   
		if (event.getAction() == MotionEvent.ACTION_DOWN) {     
			michaelAnimation.start();     
			return true;   }   
		return super.onTouchEvent(event); }

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
